---
title: List Folders
url: https://www.tines.com/docs/api/folders/list/
updated: 2026-05-07T14:36:23+00:00
description: Retrieve a list of folders.
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Folders](https://www.tines.com/llm/docs/api/folders.md)*

# List Folders

*[View on tines.com](https://www.tines.com/docs/api/folders/list/)*

## Description

Retrieve a list of folders.

## Request

HTTP Method: **GET**

| Query Parameter | Description                                                                                         |
| --------------- | --------------------------------------------------------------------------------------------------- |
| team_id         | **Optional** ID of team to which the folders belong.                                                |
| content_type    | **Optional** The type of content stored in the folders.                                             |
| per_page        | **Optional** Set the number of results returned per page. Defaults to 20.                           |
| page            | **Optional** Specify the page of results to return if there are multiple pages. Defaults to page 1. |

```bash
curl -X GET \
  https://<tenant-domain>/api/v1/folders \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>'
```

## Response

A successful request will return a JSON Array describing folders in the Tines tenant.

### Field description

| Parameter        | Description                                              |
| ---------------- | -------------------------------------------------------- |
| id               | The folder ID.                                           |
| name             | The folder name.                                         |
| team_id          | ID of team to which the folder belongs.                  |
| content_type     | The type of content stored in the folder                 |
| size             | The number of items in this folder                       |
| parent_folder_id | ID of the parent folder, or `null` if at the root level. |

### Sample response

<!-- cspell:disable -->

```json
{
  "folders": [
    {
      "id": 1,
      "name": "Credential folder",
      "content_type": "CREDENTIAL",
      "team_id": 1,
      "size": 1,
      "parent_folder_id": null
    },
    {
      "id": 2,
      "name": "Resource folder",
      "content_type": "RESOURCE",
      "team_id": 1,
      "size": 1,
      "parent_folder_id": null
    },
    {
      "id": 3,
      "name": "Story folder",
      "content_type": "STORY",
      "team_id": 1,
      "size": 5,
      "parent_folder_id": 1
    }
  ],
  "meta": {
    "current_page": "https://<tenant-domain>/api/v1/folders?per_page=20&page=1",
    "previous_page": null,
    "next_page": null,
    "next_page_number": null,
    "per_page": 20,
    "pages": 1,
    "count": 3
  }
}
```

<!-- cspell:enable -->
